aboutsummaryrefslogtreecommitdiff
path: root/sway-de/local
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2023-04-02 20:16:45 -0500
committerMatt Singleton <matt@xcolour.net>2023-04-11 16:06:09 -0500
commit5ca60114560f24617d0a82ef230bc11484617800 (patch)
tree471cfb42af8518d262b1b2403971479f2fc65dc0 /sway-de/local
parented3b3470003bf3bcb9ea605daf9d8c68458474df (diff)
each program in a sway package
Diffstat (limited to 'sway-de/local')
-rwxr-xr-xsway-de/local/bin/dmenu-wl5
-rwxr-xr-xsway-de/local/bin/dnf-needs-restarting26
-rwxr-xr-xsway-de/local/bin/setbright30
-rwxr-xr-xsway-de/local/bin/setvol30
-rw-r--r--sway-de/local/share/systemd/user/lxpolkit.service15
-rw-r--r--sway-de/local/share/systemd/user/mako.service19
-rw-r--r--sway-de/local/share/systemd/user/udiskie.service15
-rw-r--r--sway-de/local/share/systemd/user/wob.service13
-rw-r--r--sway-de/local/share/systemd/user/wob.socket9
9 files changed, 0 insertions, 162 deletions
diff --git a/sway-de/local/bin/dmenu-wl b/sway-de/local/bin/dmenu-wl
deleted file mode 100755
index 7ac2273..0000000
--- a/sway-de/local/bin/dmenu-wl
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/bash
-
-set -euo pipefail
-
-wofi -d "$@"
diff --git a/sway-de/local/bin/dnf-needs-restarting b/sway-de/local/bin/dnf-needs-restarting
deleted file mode 100755
index a080649..0000000
--- a/sway-de/local/bin/dnf-needs-restarting
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-set -eo pipefail
-
-if command -v dnf > /dev/null; then
- DNFCMD="dnf"
-fi
-if command -v jq > /dev/null; then
- JQCMD="jq"
-fi
-if [ -z "$DNFCMD" ] || [ -z "$JQCMD" ]; then
- echo "{\"tooltip\": \"requires 'jq' and 'dnf'\", \"text\": \"\"}"
- exit 1
-fi
-
-set -u
-
-if ! output="$($DNFCMD needs-restarting -r)"; then
- icon=""
-else
- icon=""
-fi
-
-# this is a literal expression for `jq`
-# shellcheck disable=SC2016
-$JQCMD --unbuffered -n -c '{tooltip: $ARGS.positional[0], text: $ARGS.positional[1]}' --args "$output" "$icon"
diff --git a/sway-de/local/bin/setbright b/sway-de/local/bin/setbright
deleted file mode 100755
index 7d2784a..0000000
--- a/sway-de/local/bin/setbright
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-
-set -euo pipefail
-
-wobsock="$XDG_RUNTIME_DIR/wob.sock"
-if [ ! -p "$wobsock" ]; then
- echo $wobsock
- echo "communication socket not found"
- exit 2
-fi
-
-current=$(brightnessctl -m info | cut -d, -f4 | tr --delete '%')
-case $1 in
- up)
- increment=$(( 5 - ( current % 5 ) ))
- new=$(( current + increment ))
- if [ $new -gt 100 ]; then
- new=100
- fi
- brightnessctl set $new% > /dev/null 2>&1
- echo $new > $wobsock;;
- down)
- increment=$(( ( ( current - 1 ) % 5 ) + 1 ))
- new=$(( current - increment ))
- if [ $new -lt 0 ]; then
- new=0
- fi
- brightnessctl set $new% > /dev/null 2>&1
- echo $new > $wobsock;;
-esac
diff --git a/sway-de/local/bin/setvol b/sway-de/local/bin/setvol
deleted file mode 100755
index f8bb4df..0000000
--- a/sway-de/local/bin/setvol
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-
-set -euo pipefail
-
-wobsock="$XDG_RUNTIME_DIR/wob.sock"
-if [ ! -p "$wobsock" ]; then
- echo $wobsock
- echo "communication socket not found"
- exit 2
-fi
-
-current_volume=$(pactl get-sink-volume @DEFAULT_SINK@ | grep Volume | sed -e 's/.* \([0-9][0-9]*\)%.*/\1/')
-case $1 in
- up)
- increment=$(( 5 - ( current_volume % 5 ) ))
- newvol=$(( current_volume + increment ))
- if [ $newvol -gt 100 ]; then
- newvol=100
- fi
- pactl set-sink-volume @DEFAULT_SINK@ $newvol%
- echo $newvol > $wobsock;;
- down)
- increment=$(( ( ( current_volume - 1 ) % 5 ) + 1 ))
- newvol=$(( current_volume - increment ))
- if [ $newvol -lt 0 ]; then
- newvol=0
- fi
- pactl set-sink-volume @DEFAULT_SINK@ $newvol%
- echo $newvol > $wobsock;;
-esac
diff --git a/sway-de/local/share/systemd/user/lxpolkit.service b/sway-de/local/share/systemd/user/lxpolkit.service
deleted file mode 100644
index 98697d7..0000000
--- a/sway-de/local/share/systemd/user/lxpolkit.service
+++ /dev/null
@@ -1,15 +0,0 @@
-[Unit]
-Description=Simple PolicyKit authentication agent developed for LXDE
-PartOf=sway-session.target
-After=sway-session.target
-
-[Service]
-Type=simple
-ExecStart=/usr/bin/lxpolkit
-ExecStop=/bin/kill -2 $MAINPID
-Restart=on-failure
-RestartSec=1
-TimeoutStopSec=10
-
-[Install]
-WantedBy=sway-session.target
diff --git a/sway-de/local/share/systemd/user/mako.service b/sway-de/local/share/systemd/user/mako.service
deleted file mode 100644
index c05b06b..0000000
--- a/sway-de/local/share/systemd/user/mako.service
+++ /dev/null
@@ -1,19 +0,0 @@
-[Unit]
-Description=Lightweight Wayland notification daemon
-Documentation=man:mako(1)
-PartOf=sway-session.target
-After=sway-session.target
-
-[Service]
-Type=dbus
-BusName=org.freedesktop.Notifications
-ExecCondition=/bin/sh -c '[ -n "$WAYLAND_DISPLAY" ]'
-ExecStart=/usr/bin/mako
-ExecReload=/usr/bin/makoctl reload
-ExecStop=/bin/kill -2 $MAINPID
-Restart=on-failure
-RestartSec=1
-TimeoutStopSec=10
-
-[Install]
-WantedBy=sway-session.target
diff --git a/sway-de/local/share/systemd/user/udiskie.service b/sway-de/local/share/systemd/user/udiskie.service
deleted file mode 100644
index ba7e7f0..0000000
--- a/sway-de/local/share/systemd/user/udiskie.service
+++ /dev/null
@@ -1,15 +0,0 @@
-[Unit]
-Description=Handle automounting of usb devices
-Documentation=man:udiskie(1)
-PartOf=sway-session.target
-
-[Service]
-Type=simple
-ExecStart=/usr/bin/udiskie -s
-ExecStop=/bin/kill -2 $MAINPID
-Restart=on-failure
-RestartSec=1
-TimeoutStopSec=10
-
-[Install]
-WantedBy=sway-session.target
diff --git a/sway-de/local/share/systemd/user/wob.service b/sway-de/local/share/systemd/user/wob.service
deleted file mode 100644
index 1193b30..0000000
--- a/sway-de/local/share/systemd/user/wob.service
+++ /dev/null
@@ -1,13 +0,0 @@
-[Unit]
-Description=A lightweight overlay volume/backlight/progress/anything bar for Wayland
-Documentation=man:wob(1)
-PartOf=sway-session.target
-After=sway-session.target
-ConditionEnvironment=WAYLAND_DISPLAY
-
-[Service]
-StandardInput=socket
-ExecStart=/usr/bin/wob
-
-[Install]
-WantedBy=sway-session.target
diff --git a/sway-de/local/share/systemd/user/wob.socket b/sway-de/local/share/systemd/user/wob.socket
deleted file mode 100644
index 01296d8..0000000
--- a/sway-de/local/share/systemd/user/wob.socket
+++ /dev/null
@@ -1,9 +0,0 @@
-[Socket]
-ListenFIFO=%t/wob.sock
-SocketMode=0600
-RemoveOnStop=on
-# If wob exits on invalid input, systemd should NOT shove following input right back into it after it restarts
-FlushPending=yes
-
-[Install]
-WantedBy=sockets.target